# $Revision: 1.7 $, $Date: 2009/11/11 17:55:05 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Test
%define	pnam	Perl-Critic
Summary:	Test::Perl::Critic - Use Perl::Critic in test programs
Summary(pl.UTF-8):	Test::Perl::Critic - użycie Perl::Critic w programach testowych
Name:		perl-Test-Perl-Critic
Version:	1.02
Release:	1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Test/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	7f1e75cc3d933e4deab5097c5b8c812d
URL:		http://search.cpan.org/dist/Test-Perl-Critic/
BuildRequires:	perl-Module-Build
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Perl-Critic >= 0.21
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Test::Perl::Critic wraps the Perl::Critic engine in a convenient
subroutine suitable for test programs written using the Test::More
framework. This makes it easy to integrate coding-standards
enforcement into the build process. For ultimate convenience (at the
expense of some flexibility), see the criticism pragma.

%description -l pl.UTF-8
Test::Perl::Critic obudowuje silnik Perl::Critic w wygodną procedurę
pasującą do programów testowych pisanych z użyciem szkieletu
Test::More. Ułatwia to integrację wymuszania standardów kodowania w
proces budowania. Dla ostatecznej wygody (kosztem części
elastyczności) użyć pragma criticism.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	destdir=$RPM_BUILD_ROOT \
	installdirs=vendor
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%dir %{perl_vendorlib}/Test/Perl
%{perl_vendorlib}/Test/Perl/Critic.pm
%{_mandir}/man3/Test::Perl::Critic.3*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Test-Perl-Critic.spec,v $
Revision 1.7  2009/11/11 17:55:05  amateja
- updated to 1.02

Revision 1.6  2009/09/13 12:35:01  amateja
- updated to 1.01

Revision 1.5  2008/01/14 18:04:03  glen
- missing dir; rel 2

Revision 1.4  2007-03-31 20:12:25  qboosh
- BR: perl-Module-Build

Revision 1.3  2007/02/12 22:09:11  glen
- tabs in preamble

Revision 1.2  2007/02/12 01:06:46  baggins
- converted to UTF-8

Revision 1.1  2006/12/22 15:59:24  qboosh
- new
